<!DOCTYPE html>
<html th:replace="/parts/template :: template(~{::title}, ~{::section})" xmlns:th="http://www.w3.org/1999/xhtml">

<head>
    <title>Example Page</title>
</head>
<body>
<section>
    <div>
        <form th:action="@{/users}" method="get">
            <div class="input-group mt-2 w-50 p-2">
                <input type="text" name="filter" class="form-control" placeholder="Type username" aria-describedby="button-addon2"/>
                <div class="input-group-append">
                    <input type="submit" class="btn btn-outline-secondary" id="button-addon2" th:value="Search"/>
                </div>
            </div>
        </form>
    </div>
    <p></p>
    <div th:switch="${users.size()}">
        <div th:case="${0}">
            <h3>Users not found!</h3>
        </div>
        <div th:case="*">
            <table style = "text-align:center" id="users_list">
                <tr>
                    <th>Username</th>
                    <th>Roles</th>
                    <th>Is active </th>
                    <th>Edit link</th>
                    <th>Delete link</th>
                </tr>
                <tr th:each="user : ${users}" th:id="${user.id}">
                    <td th:text="${user.username}" ></td>
                    <td th:text="${user.roles}"></td>
                    <td th:text="${user.enabled}? 'yes' : 'no'"></td>
                    <td><a th:href="@{/users/{id}(id=${user.id})}">Change user profile</a></td>
                    <td><a th:href="@{/deleteUser/{id}(id=${user.id})}">Delete user</a></td>
                </tr>
            </table>
        </div>
    </div>
</section>
</body>
</html>